cancel
Showing results for 
Search instead for 
Did you mean: 

SOAP UI Pro 4.6.4 not launching with Open JDK 11

SOLVED
Occasional Visitor

SOAP UI Pro 4.6.4 not launching with Open JDK 11

I installed Open JDK 11 on my mac and updated jre.bundle to point to JDK 11 / Contents/Home and tried to start it . But it failed with below errror. I verified that i have commons-cli-1.4 jar and it is compatabile with JDK 11.

 

java.lang.NoClassDefFoundError: org/apache/commons/cli/CommandLineParser
at com.eviware.soapui.SoapUIPro.<clinit>(SourceFile:140)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.install4j.runtime.launcher.MacLauncher.main(Unknown Source)
Caused by: java.lang.ClassNotFoundException: org.apache.commons.cli.CommandLineParser
at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
... 7 more
 
 
I am using SOAP UI Pro 4.6.4. Can someone help me in this ?
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Moderator

Re: SOAP UI Pro 4.6.4 not launching with Open JDK 11

Hi @kannan ,

 

1. SoapUI 4.6.4 is a very old version, I recommend that you try the latest version of ReadyAPI which is 2.8.2 now: https://support.smartbear.com/downloads/readyapi/

2. Regarding Open JDK, please refer to this article: 

https://smartbear-cc.force.com/portal/KbArticleViewer?name=Can-I-use-ReadyAPI-with-IBM-Java-or-OpenJ...


Anastasia
Customer Care Team

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others.

View solution in original post

2 REPLIES 2
Moderator

Re: SOAP UI Pro 4.6.4 not launching with Open JDK 11

Hi @kannan,

 

Let me move this topic a bit up in the queue. Maybe someone from the Community will see it and help.


Olga Terentieva
SmartBear Assistant Community Manager

Highlighted
Moderator

Re: SOAP UI Pro 4.6.4 not launching with Open JDK 11

Hi @kannan ,

 

1. SoapUI 4.6.4 is a very old version, I recommend that you try the latest version of ReadyAPI which is 2.8.2 now: https://support.smartbear.com/downloads/readyapi/

2. Regarding Open JDK, please refer to this article: 

https://smartbear-cc.force.com/portal/KbArticleViewer?name=Can-I-use-ReadyAPI-with-IBM-Java-or-OpenJ...


Anastasia
Customer Care Team

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others.

View solution in original post

New Here?
Join us and watch the welcome video:
Top Kudoed Authors